import { PlaywrightPage } from './PlaywrightController';
import { PuppeteerPage } from './PuppeteerController';
import { BrowserController, BrowserRequestHandler } from './BrowserController';
/**
 * Type of supported page objects
 */
export declare type BrowserPage = PlaywrightPage | PuppeteerPage;
export declare class BrowserControllerFactory {
    /**
     * Returns instance of BrowserController corresponding to provided page
     */
    static createForPage(page: BrowserPage, onRequest: BrowserRequestHandler): BrowserController;
    private static isPlaywrightPage;
    private static isPuppeteerPage;
}
//# sourceMappingURL=BrowserControllerFactory.d.ts.map