import { BrowserPage } from './controllers/BrowserControllerFactory';
import { Mock } from './mock';
import { MockedResponse, MockOptions, RequestMatcher, ShorthandRequestMatcher } from './types';
export interface MockiavelliOptions {
    debug: boolean;
    baseUrl: string;
}
export declare class Mockiavelli {
    private readonly baseUrl;
    private mocks;
    private controller;
    constructor(page: BrowserPage, options?: Partial<MockiavelliOptions>);
    static setup(page: BrowserPage, options?: Partial<MockiavelliOptions>): Promise<Mockiavelli>;
    enable(): Promise<void>;
    disable(): Promise<void>;
    mock<TResponseBody = any>(matcher: RequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockGET<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPOST<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPUT<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockDELETE<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    mockPATCH<TResponseBody = any>(matcher: ShorthandRequestMatcher, response: MockedResponse<TResponseBody>, options?: Partial<MockOptions>): Mock;
    removeMock(mock: Mock): Mock | void;
    private onRequest;
}
//# sourceMappingURL=mockiavelli.d.ts.map